/*
 * Copyright 2014 MOPAS(Ministry of Public Administration and Security).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kcg.imis.board.vo;

import kcg.imis.cmmn.bbs.BaseSearchVO;


/**
  * @FileName : BoardSearchVO.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 3. 21. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 : 게시판 검색 객체
 */
public class BoardSearchVO extends BaseSearchVO {


	@Override
	public String toString() {
		return "BoardSearchVO [bbsId=" + bbsId + ", category=" + category + ", ct=" + ct + ", bdNational=" + bdNational + ", pla1=" + pla1 + ", pla2=" + pla2 + ", userid=" + userid
				+ ", searchCondition=" + searchCondition + "]";
	}

	/** 테이블 이름 */
	private String bbsId = "";
	
	/** 카테고리 이름 */
	private String category = " ";
	
	private String ct="";
	
	private String bdNational;
	
	private String pla1;
	
	private String pla2;
	
	private String userid;
	
	// 20180528 게시판 내용 검색 부분 추가
	private String bdContent;
	
	public String getBdContent() {
		return bdContent;
	}

	public void setBdContent(String bdContent) {
		this.bdContent = bdContent;
	}

	/** 카테고리 이름 */
	private String searchCondition = "";
    
	public BoardSearchVO() {
		super();
	}
    
	/**
	 * 카테고리 아이디를 반환한다.
	 * @return 게시판 아이디 
	 */
	public String getCategory() {
		return category;
	}
	
	/**
	 * 카테고리 아이디를 설정한다.
	 * @param id 를 설정한다.
	 */
	public void setCategory(String category) {
		if (category == null || category.equals("")) {
			category = " ";
		}
		this.category = category;
	}

	/**
	 * @return 검색 조건을 반환한다.
	 */
	public String getSearchCondition() {
		return searchCondition;
	}

	/**
	 * @param 검색 조건을 설정한다.
	 */
	public void setSearchCondition(String searchCondition) {
		this.searchCondition = searchCondition;
	}

	public String getBbsId() {
		return bbsId;
	}

	public void setBbsId(String bbsId) {
		this.bbsId = bbsId;
	}

	public String getCt() {
		return ct;
	}

	public void setCt(String ct) {
		this.ct = ct;
	}

	public String getBdNational() {
		return bdNational;
	}

	public void setBdNational(String bdNational) {
		this.bdNational = bdNational;
	}

	public String getPla1() {
		return pla1;
	}

	public void setPla1(String pla1) {
		this.pla1 = pla1;
	}

	public String getPla2() {
		return pla2;
	}

	public void setPla2(String pla2) {
		this.pla2 = pla2;
	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}
	
}
 